Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - ForkedExecutionProperties

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

ForkedExecutionProperties

The ForkedExecutionProperties API lets you manage and configure forked execution properties of runtime cluster and runtime cloud cluster. You can configure heap settings for runners, workers, and browsers.

Required Privileges

You need these privileges in the target environment:

Write access

  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

Read access

  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

  • OR ATOM_MANAGEMENT_READ_ONLY

Retrieves a ForkedExecutionProperties object by identifier

Retrieves the details of forked execution properties of a runtime cluster or cloud cluster. Retrieving forked execution properties is an asynchronous process:

  1. Send a GET request that specifies both the account ID and runtime ID to the Boomi Enterprise Platform. https://api.boomi.com/api/rest/v1/{accountId}/async/ForkedExecutionProperties/{id}. The accountId is the ID of the authenticating account for the request, and id is the runtime ID.
  2. The platform returns a token.
  3. Send a second GET request that includes the token. https://api.boomi.com/api/rest/v1/{accountId}/async/ForkedExecutionProperties/response/{token}

Note: The runtime (cluster or cloud cluster) that you are calling must be online.

Authorizations:
basicAuth
path Parameters
id
required
string

Read-only. System-generated unique identifier of a runtime cluster or cloud cluster. To view the runtime ID in the UI, go to Manage > Runtime Management.

Responses

Response Schema:
required
object (AsyncToken)

The initial GET call returns a token used to make subsequent GET requests to retrieve results.

responseStatusCode
required
integer <int32>

202: Indicates that the request has been accepted for processing, but the processing has not been completed.

Response samples

Content type
{
  • "@type": "AsyncOperationTokenResult",
  • "asyncToken": {
    • "@type": "AsyncToken",
    • "token": "ForkedExecutionProperties-d2672a0b-d728-4a07-b50e-ab4cc6b7ab92"
    },
  • "responseStatusCode": 202
}

Retrieves a ForkedExecutionProperties object by token

Using token received from the initial GET request, you can retrieve the forked execution properties of runtime clusters and runtime cloud clusters.

Authorizations:
basicAuth
path Parameters
token
required
string

Takes in the token from a previous call to return a result.

Responses

Response Schema:
responseStatusCode
required
integer <int32>

200: Indicates request is complete.

numberOfResults
integer <int32>

Optional

Array of objects (ForkedExecutionProperties)

Response samples

Content type
{
  • "@type": "AsyncOperationResult",
  • "result": [
    • {
      }
    ],
  • "responseStatusCode": 200
}

Modifies or updates a ForkedExecutionProperties object

Adds, removes, or updates forked execution properties of a runtime cluster or cloud cluster. You need to provide at least one property to perform the update operation. The update operation includes the optional flag, partialUpdate. By default, it is set to false:

  • If set to true, only the property values specified in the request are updated. All other existing properties remain unchanged.
  • If set to false, property values specified in the request are updated, and all other properties not included in the request are removed.

Updates to runnerHeapSize, workerHeapSize, and browserHeapSize properties are saved in the appropriate vmoptions file: procrunner, procworker, or procbrowser. Any changes to other forked execution properties are saved in all three vmoptions files.

Note: When partialUpdate is false, you must provide the heap size of the worker, runner, and browser in the request.

Authorizations:
basicAuth
path Parameters
id
required
string

Read-only. System-generated unique identifier of a runtime cluster or cloud cluster. To view the runtime ID in the UI, go to Manage > Runtime Management.

Request Body schema:
optional
required
object (CustomSystemProperties)

Used to specify custom forked execution properties.

required
object (ForkedExecutionStandardProperties)
partialUpdate
boolean

Specifies how forked execution properties are updated. The default value is false.

  • If true, only the property values specified in the request are updated. All other existing properties remain unchanged.
  • If false, you must provide all three heap sizes: runnerHeapSize, workerHeapSize, and browserHeapSize. Property values specified in the request are updated, while any other property values not included are removed.
runtimeId
string

Read-only. System-generated unique identifier of a runtime cluster or cloud cluster. To view the runtime ID in the UI, go to Manage > Runtime Management.

Responses

Response Schema:
required
object (CustomSystemProperties)

Used to specify custom forked execution properties.

required
object (ForkedExecutionStandardProperties)
partialUpdate
boolean

Specifies how forked execution properties are updated. The default value is false.

  • If true, only the property values specified in the request are updated. All other existing properties remain unchanged.
  • If false, you must provide all three heap sizes: runnerHeapSize, workerHeapSize, and browserHeapSize. Property values specified in the request are updated, while any other property values not included are removed.
runtimeId
string

Read-only. System-generated unique identifier of a runtime cluster or cloud cluster. To view the runtime ID in the UI, go to Manage > Runtime Management.

Request samples

Content type
{
  • "runtimeId": "de97fe3a-4163-4cda-ab8c-a741595c1d75",
  • "partialUpdate": true,
  • "@type": "forkedExecutionProperties",
  • "forkedExecutionStandardProperties": {
    • "@type": "forkedExecutionStandardProperties",
    • "runnerHeapSize": "513m",
    • "workerHeapSize": "513m",
    • "browserHeapSize": "513m",
    • "clientDefaultConnectTimeout": 350000,
    • "clientDefaultReadTimeout": 50000,
    • "heapDumpOnOutOfMemoryError": true,
    • "preferIpv4Stack": true,
    • "retryHttpPost": false,
    • "dnsTimeToLive": 60,
    • "javaLibraryPath": "/usr/lib"
    },
  • "customSystemProperties": {
    • "@type": "customSystemProperties",
    • "property": [
      ]
    }
}

Response samples

Content type
{
  • "@type": "ForkedExecutionProperties",
  • "forkedExecutionStandardProperties": {
    • "@type": "forkedExecutionStandardProperties",
    • "runnerHeapSize": "513m",
    • "workerHeapSize": "513m",
    • "browserHeapSize": "513m",
    • "clientDefaultConnectTimeout": 350000,
    • "clientDefaultReadTimeout": 50000,
    • "heapDumpOnOutOfMemoryError": true,
    • "preferIpv4Stack": true,
    • "retryHttpPost": false,
    • "dnsTimeToLive": 60,
    • "javaLibraryPath": "/usr/lib"
    },
  • "customSystemProperties": {
    • "@type": "customSystemProperties",
    • "property": [
      ]
    },
  • "runtimeId": "de97fe3a-4163-4cda-ab8c-a741595c1d75"
}